:root {
  --sung-honor-padding-bottom: 100px;
  --sung-honor-title-leading: 1.3;
  --sung-honor-title-size: 40px;
  --sung-honor-text-leading: 1.5;
  --cert-gap: 20px; /* 证书间距 */
}

.sung_honor {
  background-color: #f6f6f6;
  margin-bottom: var(--sung-honor-padding-bottom);
  padding: 70px 0 30px;
}

.sung_honor h3 {
  text-align: center;
  font-size: var(--sung-honor-title-size);
  line-height: var(--sung-honor-title-leading);
  margin-bottom: 40px;
}

/* 证书外层容器 Flex 一行4张 */
.sung_honor .list {
  display: flex;
  flex-wrap: wrap;
  gap: var(--cert-gap);
  justify-content: center;
  margin: 0;
}

/* 单个证书卡片 */
.sung_honor .cert-item {
  width: calc((100% - var(--cert-gap) * 3) / 4);
  padding: 40px 0;
  display: flex;
  justify-content: center;
}

.sung_honor .inner {
  height: 250px;
  width: 190px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: transparent;
  transition: all 0.3s ease;
}

.sung_honor .inner img {
  /* height: 220px;
  aspect-ratio: 3/4; */
  object-fit: cover;
  transition: all 0.3s ease;
}

/* hover模拟原active高亮效果 */
.sung_honor .cert-item:hover .inner {
  background: #fff;
  box-shadow: 0px 4px 39.9px 0px rgba(0, 0, 0, 0.25);
}
.sung_honor .cert-item:hover .inner img {
  height: 240px;
}

/* 移动端自适应 */
@media screen and (max-width: 1500px) {
  :root {
    --sung-honor-title-size: 36px;
    --sung-honor-padding-bottom: 85px;
  }
}

@media screen and (max-width: 1280px) {
  :root {
    --sung-honor-title-size: 32px;
    --sung-honor-padding-bottom: 70px;
  }
}

@media screen and (max-width: 1200px) {
  :root {
    --sung-honor-title-size: 28px;
    --sung-honor-padding-bottom: 55px;
  }
  .sung_honor .cert-item {
    width: calc((100% - var(--cert-gap) * 2) / 3);
  }
}

@media screen and (max-width: 992px) {
  :root {
    --sung-honor-title-size: 24px;
    --sung-honor-padding-bottom: 40px;
  }
  .sung_honor .cert-item {
    width: calc((100% - var(--cert-gap)) / 2);
  }
}

@media screen and (max-width: 768px) {
  :root {
    --sung-honor-title-size: 20px;
    --sung-honor-padding-bottom: 25px;
  }
}

@media screen and (max-width: 576px) {
  :root {
    --sung-honor-title-size: 20px;
    --sung-honor-padding-bottom: 25px;
  }
  .sung_honor .cert-item {
    width: 100%;
  }
}